#
# spec file for package libreoffice-templates-de
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libreoffice-templates-de
Version:        3.3
Release:        17.18
Summary:        German Templates for LibreOffice
License:        BSD-4-Clause and LGPL-2.1+
Group:          Productivity/Office/Suite
Url:            http://extensions.services.openoffice.org/project/TemplatePackII
Source0:        ooo-templates-de-2.0.4.tar.bz2
Source1:        ooo-templates-de-suse-2.0.4.tar.bz2
Source2:        Sun_ODF_Template_Pack_de-non-layout.tar.bz2
Provides:       locale(OpenOffice_org:de)
Provides:       locale(libreoffice:de)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
A compilation of German templates for LibreOffice.

%prep
%setup -q -c -b1 -b2
# update the Sun templates dir
sun_name=Sun_ODF_Template_Pack
sun_dir=${sun_name}_de-non-layout
mv $sun_dir/template/groupuinames.xml $sun_dir
mv $sun_dir/LICENSE $sun_dir/LICENSE.$sun_name
# generate README about Sun templates
cat >$sun_dir/README.$sun_name <<EOF
The following list of templates comes from the Sun_ODF_Template_Pack_de.oxt
that is originaly available at
http://extensions.services.openoffice.org/project/TemplatePackII
See LICENSE.$sun_name for more details.
EOF
echo >>$sun_dir/README.$sun_name
find $sun_dir/template -type f | sed "s|$sun_dir/template/||" >>$sun_dir/README.$sun_name

%build

%install
install -m 755 -d %{buildroot}%{_datadir}/templates/libreoffice/
cp -a ooo-templates-de-*/de %{buildroot}%{_datadir}/templates/libreoffice/
cp -a Sun_ODF_Template_Pack_de-non-layout/template/* %{buildroot}%{_datadir}/templates/libreoffice/de
# Convert to ascii names
find %{buildroot}%{_datadir}/templates/libreoffice/ -type f > utf8list
iconv -f UTF-8 -t ASCII//TRANSLIT utf8list > asciilist
for file in $(cat utf8list); do
	newname=$(head -$i asciilist | tail -1 | tr -d '\n')
	if [ -e $newname ] ; then
		rm $file
	else
		mv $file $newname
	fi
done

%files
%defattr(-, root, root)
%doc ooo-templates-de-*/README*.txt Sun*/{README.*,LICENSE.*}
%{_datadir}/templates/

%changelog
* Fri Apr 18 2014 tchvatal@suse.com
- Fix build in factory by converting all file names to ascii.
* Thu Jan 31 2013 tchvatal@suse.com
- Update license once more.
* Wed May  9 2012 coolo@suse.com
- patch license to be in spdx.org format
* Fri Feb 18 2011 pmladek@suse.cz
- bumped version to make sure that it is considered as a replacement
  of the older package
* Thu Feb  3 2011 pmladek@suse.cz
- renamed from OpenOffice_org-templates-de to libreoffice-templates-de
- added provides locale(libreoffice:de) to make it installed
  with libreoffice (bnc#668145)
- installed files into /usr/share/templates/libreoffice
- added compat symlinks into the older location /usr/share/templates/ooo
* Sat Aug 30 2008 pmladek@suse.cz
- added more templates from Sun_ODF_Template_Pack_de.oxt that was available at
  http://extensions.services.openoffice.org/project/TemplatePackII
- installed into non-versioned /usr/share/templates/ooo instead of ooo2
- updated version to 3.0
* Wed Mar 19 2008 pmladek@suse.cz
- fixed page margins of Brief_klassisch_modern.stw [n#182754]
* Mon Oct 23 2006 pmladek@suse.cz
- added new free templates gallery, version 2.0.4
- reworked the SUSE gallery:
  * sorted into the default categories
  * moved presentation layout templates to the package
    OpenOffice_org-templates-presentation-layouts
  * renamed the file COPYRIGHT to README.txt
  * renamed the tarball, increased version to 2.0.4
- installed to arch independent /usr/share/templates/ooo2
- changed to noarch
- removed the ugly strict dependency on OpenOffice_org
- renamed the package from OpenOffice_org-de-templates to
  OpenOffice_org-templates-de
* Fri Feb 24 2006 lmichnovic@suse.cz
- added Provides: locale(OpenOffice_org:de)
- removed from install section: rm -rf $RPM_BUILD_ROOT
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Tue Mar 15 2005 pmladek@suse.cz
- fixed installation path and requires for OOo-2.0
* Mon Sep 27 2004 pmladek@suse.cz
- recoded file names to UTF-8 [#45986]
- recoded COPYRIGHT file to UTF-8
* Fri Sep 24 2004 pmladek@suse.cz
- fixed installation path to use the new prefix /usr/lib/ooo-1.1
* Mon Jun 23 2003 ro@suse.de
- added directories to file list
* Mon Mar  3 2003 pmladek@suse.cz
- updated to the final version 8.2:
  * fixed COPYRIGHT
  * small fixes in Blau.sti, Ortra.sti, Waves.sti
* Mon Feb 24 2003 pmladek@suse.cz
- updated to the version 8.2, beta 2:
  * added, removed, fixed and renamed some templates
  * added Copyright
* Mon Feb 17 2003 pmladek@suse.cz
- package created, version 8.2, beta 1
